### Method

# Snapd Notice get_key

since: 1.65

#### Declaration [src]

    const gchar*
    snapd_notice_get_key (
      SnapdNotice* notice
    )

#### Description [src]

Get the notice-id or the instance-name, depending on the type.

Available since: 1.65

Gets property | `Snapd.Notice:key`

#### Return value

Type: `const gchar*`

A string with the key.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.